-- Created by NuclearTonic
-- If reusing this code, please keep the name of the original author listed
-- in respect for borrowing said authors code.
-- RESPECT!

import "Turbine";
import "Turbine.UI";
import "Turbine.UI.Lotro";
import "Tonic.Utils.Class";
import "Tonic.UI.CheckBox";
import "Tonic.UI.ComboBox";
import "Tonic.UI.AutoListBox";
import "Tonic.UI.Window";
import "Tonic.UI.MenuUtils";
import "Tonic.TonicBars.Menu.TriggerMenuItem";

TriggerMenu = class( Tonic.UI.AutoListBox );

function TriggerMenu:Constructor()
	Tonic.UI.AutoListBox.Constructor( self );

	self.utils = Tonic.UI.MenuUtils();

	self:AddSettings();
	self:AddCommandsBar();

	self.scrollBox = self.utils:AddAutoListBox( self, Turbine.UI.Orientation.Horizontal, 400, 350, 0, 0 );
	self.settingsBox = self.utils:AddAutoListBox( self.scrollBox, Turbine.UI.Orientation.Vertical, 0, 0, 0, 0 );

	self.sidebar = Turbine.UI.Lotro.ScrollBar();
	self.sidebar:SetParent( self.scrollBox );
	self.sidebar:SetOrientation( Turbine.UI.Orientation.Vertical );

	self.scrollBox:AddItem( self.settingsBox );
	self.scrollBox:AddItem( self.sidebar );
	self.settingsBox:SetVerticalScrollBar( self.sidebar );
	self:AddItem( self.scrollBox );
	self.sidebar:SetVisible( true );
	self.scrollBox:SetVisible( true );

	self.sidebar:SetSize ( 8, 350 );
end

function TriggerMenu:AddSettings()
	self.addBox = self.utils:AddAutoListBox( self, Turbine.UI.Orientation.Horizontal, 0, 0, 0, 0 );

	self.extSbNum = self.utils:AddLabelBox( self, "Triggers: These are what they sound like. When the trigger occurs, open the Target Bar. There are two basic types of triggers. Constant Triggers such as keys being pressed and then Conditional triggers like when your health drops below 100.", 300, 100 );

	local addStandardButton = Turbine.UI.Lotro.Button();
	addStandardButton:SetText( "Add Basic Trigger" );
	addStandardButton:SetSize( buttonWidth, selectionHeight );
	addStandardButton.MouseClick = function( sender, args )
		self:AddStandardTrigger();
	end
	self.addBox:AddItem( addStandardButton );

	local addConditionalButton = Turbine.UI.Lotro.Button();
	addConditionalButton:SetText( "Add Conditional Trigger" );
	addConditionalButton:SetSize( buttonWidth, selectionHeight );
	addConditionalButton.MouseClick = function( sender, args )
		self:AddConditionalTrigger();
	end
	self.addBox:AddItem( addConditionalButton );

	self:AddItem( self.addBox );
end

function TriggerMenu:AddCommandsBar()
end

function TriggerMenu:GetSelection()
	return nil;
end

function TriggerMenu:AddStandardTrigger()
	local item = Tonic.TonicBars.Menu.TriggerMenuItem( "Standard" );
	self.settingsBox:AddItem( item );
	self.settingsBox:SetSize( 400, 350 );	-- THIS IS A HACK TO MAKE SCROLLING WORK!!!!!!
end

function TriggerMenu:AddConditionalTrigger()
	local item = Tonic.TonicBars.Menu.TriggerMenuItem( "Conditional" );
	self.settingsBox:AddItem( item );
	self.settingsBox:SetSize( 400, 350 );	-- THIS IS A HACK TO MAKE SCROLLING WORK!!!!!!
end

function QuickslotsMenu:RefreshBarBoxs()
end